Method: projects.locations.services.list

Lists Services in a given project and location.

HTTP request

GET https://commerceproducer.googleapis.com/v1beta/{parent=projects/*/locations/*}/services

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListServicesRequest

Query parameters

Parameters
pageSize

integer

Optional. Maximum results to return. The service may return fewer than this value. The maximum value is 500; values above 500 will be coerced to 500. If unspecified, the server will default to the maximum.

pageToken

string

Optional. A token identifying a page of results the server should return.

Request body

The request body must be empty.

Response body

Message for response to listing Services

If successful, the response body contains data with the following structure:

JSON representation
{
  "services": [
    {
      object (Service)
    }
  ],
  "nextPageToken": string
}
Fields
services[]

object (Service)

The list of Service

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • commerceproducer.services.list

For more information, see the IAM documentation.